import 'package:flutter/material.dart';

class AppLayout extends StatelessWidget {
  final PreferredSizeWidget appBar;
  final Widget body;
  final Widget? footer;

  const AppLayout({
    Key? key,
    required this.appBar,
    required this.body,
    this.footer,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: const Color(0xFFF5F7FA),
      appBar: appBar,
      body: Column(
        children: [
          Expanded(child: body),
          if (footer != null) footer!,
        ],
      ),
    );
  }
}
